#include <VRS51L3074_SDCC.h>
#include "i2c.h"

 void Init_I2C (void)
{

	PERIPHEN1 |= 0x20;						//Enable I2C Interface
	I2CTIMING = 0x0C;						// I2C Clock Speed = about 100kHz
	I2CCONFIG = 0x01;						//I2C is Master
}


void WaitTXEMP()
	{
	wait();
	do{

	USERFLAGS = I2CSTATUS;
	USERFLAGS &= 0x01;						//Isolate the I2CTXEMPTY flag

	}while( USERFLAGS == 0x00);				//Wait for I2C TX EMPTY
	}//end of Void WaitTXEMP()


//--------  Function WaitRXAV() ----------//
void WaitRXAV()
	{
	wait();
	do{
	USERFLAGS = I2CSTATUS;
	USERFLAGS &= 0x02;						//isolate the I2CRXAV flag
	}while( USERFLAGS == 0x00);				//Wait for I2C RX AVAILLABLE

	}//end of Void WaitRXAV()

//--------  Function WaitI2CIDLE() ----------//
void WaitI2CIDLE()
	{
	wait();
	do{
		USERFLAGS = I2CSTATUS;
		USERFLAGS &= 0x08;					//Isolate the I2C IDLE flag
	}while( USERFLAGS == 0x00);

	}//end of Void WaitI2CIDLE()

//--------  Function Wait() ----------//

void wait(){
	char i=0;
	while (i<25) {i++;};
	}

